Bug 1276771 - python-unittest2 is BuildRequires only for RHEL <= 6
python-unittest2 is BuildRequires only for RHEL <= 6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 16:19 EDT by Matěj Cepl
Modified: 2015-12-28 18:55 EST (History)
1 user (show)

See Also:
Fixed In Version: python-mock-1.0.1-7.fc23 python-mock-1.0.1-7.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:00:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (379 bytes, patch)
2015-10-30 16:19 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2015-10-30 16:19:57 EDT
Created attachment 1088021 [details]
suggested patch

Description of problem:
python 2.7 and higher (which means anything from RHEL 7 up) contains the full equivalent of what's in the package python-unittest2

Patch is trivial.

Version-Release number of selected component (if applicable):
python-mock-1.0.1-6
Comment 1 Fedora Update System 2015-11-02 04:33:56 EST
python-mock-1.0.1-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2e774126c
Comment 2 Fedora Update System 2015-11-02 04:42:37 EST
python-mock-1.0.1-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f6e504c90
Comment 3 Fedora Update System 2015-11-02 18:21:56 EST
python-mock-1.0.1-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f6e504c90
Comment 4 Fedora Update System 2015-11-02 19:24:35 EST
python-mock-1.0.1-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2e774126c
Comment 5 Fedora Update System 2015-12-28 18:00:26 EST
python-mock-1.0.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-12-28 18:55:54 EST
python-mock-1.0.1-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.